### Function

# Json boxed_serialize

since: 0.10

#### Declaration [src]

    JsonNode*
    json_boxed_serialize (
      GType gboxed_type,
      gconstpointer boxed
    )

#### Description [src]

Serializes a pointer to a `GBoxed` of the given type into a `JsonNode`.

If the serialization is not possible, this function will return `NULL`.

Available since: 0.10

#### Parameters

`gboxed_type`

  Type: `GType`

  A boxed type.

`boxed`

  Type: `gconstpointer`

  A pointer to a boxed of type `gboxed_type`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `JsonNode`

A node with the serialized boxed type.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.